# CDBMSListboxView Class Reference

List of all members.

## Public Member Functions
| ~CDBMSListboxView ()
void | SetCaptionL (const TDesC &aNewCaption)
void | SetListItemsL (CDesCArrayFlat *aNewItems)
TInt | GetSelectedItem (TDes &aResult) const
void | Draw (const TRect &aRect) const
void | SizeChanged ()
TInt | CountComponentControls () const
CCoeControl * | ComponentControl (TInt aIndex) const
TKeyResponse | OfferKeyEventL (const TKeyEvent &aKeyEvent, TEventCode aType)
## Static Public Member Functions
static CDBMSListboxView * | NewL (const TRect &aRect)

## Detailed Description

Class: CDBMSListboxView

Description: An instance of this class is an Application View object for the DBMS example application.

This is window owning container control.It shows label and a single listbox. The listbox is used to

- show the columns of the Books table
- show book names (titles) in the database

Definition at line 26 of file DBMSListboxView.h.

## Constructor & Destructor Documentation

CDBMSListboxView::~CDBMSListboxView | ( |  | ) |

Function: ~CDBMSAppView

Description: Destroy the view object

Definition at line 111 of file DBMSListboxView.cpp.

## Member Function Documentation

CDBMSListboxView * CDBMSListboxView::NewL | ( | const TRect & | aRect | ) | `[static]`

Function: NewL

Description: Create a CDBMSListboxView object, which will draw itself to aRect.

Param: aRect the rectangle this view will be drawn to

Returns: A pointer to the created instance of CDBMSListboxView

Definition at line 22 of file DBMSListboxView.cpp.

void CDBMSListboxView::SetCaptionL | ( | const TDesC & | aNewCaption | ) |

Function: SetCaptionL

Description: Sets new caption for the view.

Param: aNewCaption new value for the caption.

Definition at line 64 of file DBMSListboxView.cpp.

void CDBMSListboxView::SetListItemsL | ( | CDesCArrayFlat * | aNewItems | ) |

Function: SetListItemsL

Description: Sets the list box items. The listbox takes ownership of the aNewItems array.

Param: aNewItems Array of descriptors to be shown in the listbox.

Definition at line 78 of file DBMSListboxView.cpp.

TInt CDBMSListboxView::GetSelectedItem | ( | TDes & | aResult | ) | const

Function: GetSelectedItem

Description: Get name of the selected item in the listbox.

Param: aResult The result is placed here. Provide descriptor long enough.

Returns: KErrNone, if item was selected. KErrNotFound otherwise.

Definition at line 215 of file DBMSListboxView.cpp.

void CDBMSListboxView::Draw | ( | const TRect & | aRect | ) | const

Function: Draw

Description: Paints this view (an empty rect). This is called by the framework, when view needs to redraw itself.

Param: aRect Frame rectangle for container.

Definition at line 127 of file DBMSListboxView.cpp.

void CDBMSListboxView::SizeChanged | ( |  | ) |

Function: SizeChanged

Description: Determines controls' sizes according to current state.

Definition at line 142 of file DBMSListboxView.cpp.

TInt CDBMSListboxView::CountComponentControls | ( |  | ) | const

Function: CountComponentControls

Returns: Number of controls within this container.

Definition at line 168 of file DBMSListboxView.cpp.

CCoeControl * CDBMSListboxView::ComponentControl | ( | TInt | aIndex | ) | const

Function: ComponentControl

Param: aIndex of control

Returns: One of the controls this class owns.

Definition at line 180 of file DBMSListboxView.cpp.

TKeyResponse CDBMSListboxView::OfferKeyEventL | ( | const TKeyEvent & | aKeyEvent,
|  | TEventCode | aType |
| ) |  |  |

Function: OfferKeyEventL

Description: Handles key events for this control. Forwards them to listbox

Param: aKeyEvent The key event.

Param: aType The type of the event.

Returns: Indicates whether or not the key event was used (consumed) by this control.

Definition at line 202 of file DBMSListboxView.cpp.